BEGIN dggERST //Class(Player1, PALADIN), etc etc

//////////////////////////////////
//talking to the Shadow Thieves
/////////////////////////////////

IF ~Global("ggERMQstep", "Global", 15)~ THEN BEGIN 0
	SAY ~Hey! Who are you and why are you here?~
	++ ~I'm here to tell you to surrender. Brega might spare you if you tell him about your connections.~ GOTO 1
	++ ~Shut up and draw your weapons.~ GOTO 3
END


IF ~~ THEN BEGIN 3
	SAY ~You heard 'em! let's kill 'em.~
IF ~~ THEN DO ~
	ActionOverride("ggERST01",Enemy()) ActionOverride("ggERST03",Enemy()) ActionOverride("ggERSTL",Enemy()) ActionOverride("ggERSTT",Enemy()) ~ EXIT
END

IF ~~ THEN BEGIN 1
	SAY ~I doubt that! Either the Shadow Thieves kills us for betraying them, either Brega executes us, or we kill you. It's obvious which one we'd prefer. Let's get 'em!~
		++ ~Continue~ GOTO 10
END

IF ~~ THEN BEGIN 10
	SAY ~Wait! Don't kill me, please! I'm actually a double-agent. I'm more valuable alive, I swear! Look at these documents!~
	++ ~Continue~ GOTO 11
END

IF ~~ THEN BEGIN 11
	SAY ~You're a WHAT?! You snake!~
	++ ~Alright, fine, you get out of here. I'll take care of eveyone else.~ GOTO 12
	++ ~You really expect me to let you go after everything you've done? No. You die here with everyone else.~ GOTO 13
END

IF ~~ THEN BEGIN 12
	SAY ~You fool! Once we kill these morons, you're next! Attack!~
IF ~~ THEN DO ~
	IncrementGlobal("ggRedemptionPoints","GLOBAL",1) ActionOverride("ggERST01",Enemy()) ActionOverride("ggERSTT",EscapeArea()) ActionOverride("ggERST03",Enemy()) ActionOverride("ggERSTL",Enemy())~ EXIT
END

IF ~~ THEN BEGIN 13
	SAY ~What?! I... I won't go down easily!~
IF ~~ THEN DO ~
	ActionOverride("ggERST01",Enemy()) ActionOverride("ggERST03",Enemy()) ActionOverride("ggERSTL",Enemy()) ActionOverride("ggERSTT",Enemy()) ~ EXIT
END
